﻿using System.IO;
using System.Windows;
using System.Windows.Input;
using Microsoft.Win32;

namespace Train
{
    /// <summary>
    /// Interaction logic for ConfigurationLight.xaml
    /// </summary>
    public partial class ConfigurationLight : Window
    {
        private Data data;

        public ConfigurationLight()
        {
            InitializeComponent();
        }


        public void ShowFormAndInput(Data Daten)
        {
            data = Daten;
            ShowDialog();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            System.Windows.Data.CollectionViewSource dataItemViewSource = ((System.Windows.Data.CollectionViewSource)(this.FindResource("dataItemViewSource")));
            dataItemViewSource.Source = data.LigthData;
        }

        private void dataItemGrid_MouseDoubleClick(object sender, MouseButtonEventArgs e)
        {
            // Anzeigen des Bildes
            try
            {
                string dir = System.IO.Path.GetDirectoryName(System.Reflection.Assembly.GetExecutingAssembly().GetModules()[0].FullyQualifiedName)+ "\\icons\\";
                string fileName = ((DataItem)dataItemGrid.SelectedValue).IconFileName;
                string pfad = dir + fileName;

                BitmapPreview preview = new BitmapPreview();
                if (File.Exists(pfad))
                {
                    preview.ShowFormAndInput(pfad);
                }

            }
            catch {}
        }

        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
          
            if (((DataItem)dataItemGrid.SelectedValue).Status == false)
            {
                ((DataItem)dataItemGrid.SelectedValue).Status = true;
                CommunicationToInterface.Ligth(((DataItem)dataItemGrid.SelectedValue).Adress, ((DataItem)dataItemGrid.SelectedValue).Chance);
            }
            else
            {
                ((DataItem)dataItemGrid.SelectedValue).Status = false;
                CommunicationToInterface.Ligth(((DataItem)dataItemGrid.SelectedValue).Adress, ((DataItem)dataItemGrid.SelectedValue).Chance);
            }
        }

        private void MenuItem_Click_1(object sender, RoutedEventArgs e)
        {
            OpenFileDialog openFileDialog = new OpenFileDialog();
            openFileDialog.Filter = "Daten|*.bmp";
            if (openFileDialog.ShowDialog() == true)
            {
                DataItem item = ((DataItem)dataItemGrid.SelectedValue);
                data.LigthData.Remove(item);
                item.IconFileName = System.IO.Path.GetFileName(openFileDialog.FileName);
                data.LigthData.Add(item);
                dataItemGrid.ItemsSource = data.LigthData;
            }
        }

        
    }
}
